@font-face {
  font-family: 'EduROM-Medium';
  src: url('../fonts/EduROM-Medium.woff') format('woff');
}

html,
body {
  height: 100%;
  margin: 0;
  overflow: auto;
  scrollbar-width: none;
  background-color: black;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

* {
  font-family: 'EduROM-Medium';
  font-weight: normal;

}

body::-webkit-scrollbar {
  display: none;
}

body {
  scrollbar-width: none;
}

:root {
  --hoverSpeed: 0.8s;
  --gridSize: 25px;
  --buttonBorderSize: 2px;
  --fixedGridSize: 25px;
}

/**/
/* Typographie */
/**/

p,
h1,
ul,
li {
  color: white;
  font-size: 1.5rem;
  text-align: left;
  line-height: 1.2;
}

/* Teletext */

h2,
h2 a {
  color: black;
  font-size: 1.25rem;
  line-height: 0;
  text-align: center;
}

ul,
li {
  list-style: none;
  padding-left: 0;
}

.small,
small {
  color: white;
  font-size: clamp(0.7rem, 3.5vw, 1rem);
  text-align: left;
  line-height: auto;
}

.link,
a {
  cursor: pointer;
  text-decoration: none;
  color: white;
}

.link:hover,
h2 a:hover {
  font-style: italic;
  text-decoration: none;
}

p a:hover {
  font-style: italic;
}

/**/
/* Buttons */
/**/

.buttonBlackA,
.buttonBlackB,
.buttonWhiteA,
.buttonWhiteB {
  position: relative;
  width: auto;
  height: calc(var(--fixedGridSize)/5*4);
  border-radius: 25px;
  padding-inline: 10px;
  font-size: 0.75rem;
  cursor: pointer;
  line-height: 0;
  padding-top: 2px;
  margin-right: calc(var(--fixedGridSize)/6);

}

.buttonBlackA {
  color: white;
  border: solid black var(--buttonBorderSize);
  background-color: black;
}

.buttonBlackB {
  color: white;
  border: solid white var(--buttonBorderSize);
  background-color: black;

}

.buttonWhiteA {
  color: black;
  border: solid white var(--buttonBorderSize);
  background-color: white;
}

.buttonWhiteB {
  color: black;
  border: solid black var(--buttonBorderSize);
  background-color: white;
}

.buttonWhiteB.active {
  color: white;
  border: solid white var(--buttonBorderSize);
  background-color: black;
}

.buttonBlackA.clicked {
  color: black;
  border: solid black var(--buttonBorderSize);
  background-color: white;
}

.buttonBlackA:hover,
.buttonBlackB:hover,
.buttonWhiteA:hover,
.buttonWhiteB:hover {
  padding-inline: 15px;
}

/* Home */

/* Home Header Menue */

.homeHeader {
  position: fixed;
  top: var(--gridSize);
  Left: var(--gridSize);
  width: auto;
  z-index: 100;
}

.homeHeader div {
  position: fixed;
  top: var(--gridSize);
  right: var(--gridSize);
}

.homeProjectTitleContainer {
    position: relative;
    /*top: 100px;*/
    left: 0;
    padding-inline: var(--gridSize);
    margin-right: 15%;
    width: 100%;
    height: auto;
    pointer-events: none;
    z-index: 2;
  }

  .homeProjectTitleContainer div {
    position: absolute;
    bottom: 0;
    left: var(--gridSize);
    margin-right: calc(var(--gridSize)*2);
  }

  .homeProjectTitleContainer div button {
    margin-top: 5px;
  }

/* FilterMenue */

.filterButtonsContainer {
  position: fixed;
  top: calc(var(--gridSize) * 2);
  Left: var(--gridSize);
  width: auto;
  margin-top: 15px;
  z-index: 100;
}

.filterButtonsContainer button {
  display: none;
  margin-top: 5px;
  /*transition: calc(var(--hoverSpeed)/2) ease-in-out;*/
}

.filterButtonsContainer.show button {
  display: block;
}

#closeFilterMenue {
  display: none;
}

/* About */

.aboutContainer {
  position: fixed;
  height: 100%;
  width: calc(500px - var(--gridSize) * 2);
  right: calc(-500px - var(--gridSize) * 2);
  top: 0;
  z-index: 200;
  padding-left: var(--fixedGridSize);
  padding-right: 75px;
  overflow-y: auto;
  scrollbar-width: none;
  transition: calc(var(--hoverSpeed)/2) ease-in-out;
  background-color: rgba(200, 200, 200, 0.07);
  backdrop-filter: blur(100px);
}

.aboutContainer.open {
  right: 0;
}

.aboutHead {
  position: fixed;
  top: var(--gridSize);
  right: calc(-500px - var(--gridSize) * 2);
  width: 525px;
  height: auto;
  z-index: 250;
  transition: calc(var(--hoverSpeed)/2) ease-in-out;
}

.aboutHead div {
  position: absolute;
  right: var(--gridSize);
  top: 0;
}

.aboutHead.open {
  right: 0;
}

.aboutTitle {
  display: grid;
  margin-top: var(--fixedGridSize);
  padding-top: var(--gridSize);
  grid-template-columns: repeat(3, 1fr);
  column-gap: 10%;
}

.imprint {
  padding-top: calc(var(--gridSize)*10);
  padding-bottom: var(--gridSize);
}

/* Home Scroller */

.archiv-container {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  overflow-x: hidden;
  overflow-y: hidden;
  scroll-snap-type: y mandatory;
  scrollbar-width: none;
}

.archiv-media-scroller {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  white-space: nowrap;
  font-size: 0;
}

.slideshow-archiv {
  display: inline-block;
  height: 100%;
  width: auto;
  scroll-snap-align: start;
  cursor: pointer;
  overflow: hidden;
}

.slideshow-archiv img,
.slideshow-archiv video {
  transition: var(--hoverSpeed);
  transform: scale(1.015);
  height: 100%;
  width: auto;
  object-fit: cover;
}

.slideshow-archiv img:hover,
.slideshow-archiv video:hover {
  transform: scale(1);
}

/**/
/* projects */
/**/

/* projects Scroller */

.srollToInfoButton {
  position: fixed;
  top: var(--gridSize);
  left: var(--gridSize);
  z-index: 50;
  visibility: hidden;
}

.closeInfoButton {
  position: fixed;
  visibility: hidden;
  right: var(--gridSize);
  top: calc(100% + (var(--gridSize) * 4));
  transition: calc(var(--hoverSpeed)/2) ease-in-out;
  z-index: 250;
  height: auto;
}

.closeInfoButton.open {
  top: calc(var(--gridSize) * 4);
}

.scrollToProjectPart {
  position: fixed;
  left: var(--gridSize);
  top: calc(var(--gridSize) - 10px);
  z-index: 50;
}

.backButton {
  position: fixed;
  right: var(--gridSize);
  top: var(--gridSize);
  z-index: 500;
}

.project-media-container {
  position: absolute;
  height: 100%;
  width: calc(100% - 500px);
  overflow-x: hidden;
  overflow-y: hidden;
  scroll-snap-type: y mandatory;
  scrollbar-width: none;
}

.project-media-scroller {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  white-space: nowrap;
  font-size: 0;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  scrollbar-width: none;
}

.project-media {
  display: inline-block;
  height: 100%;
  width: auto;
  text-align: center;
  scroll-snap-align: start;
  cursor: auto;
  scrollbar-width: none;
  padding-right: 10px;
}

.project-media img {
  height: 100%;
  width: auto;
  object-fit: cover;
}

.project-media video {
  height: 100%;
  width: auto;
  object-fit: cover;
}

.project-media-scroller::-webkit-scrollbar {
  width: 0;
  height: 0;
}

.project-media-scroller::-webkit-scrollbar-track {
  width: 0;
  height: 0;
}

.project-media-scroller::-webkit-scrollbar-thumb {
  width: 0;
  height: 0;
}

/* projects Info */

.projectInfoContainer {
  position: fixed;
  top: 0;
  right: 0;
  height: 100%;
  /*width: clamp(20vw, 50%, 35vw);*/
  width: 500px;
  overflow-y: auto;
  overflow-x: hidden;
  scrollbar-width: none;
  z-index: 200;
  backdrop-filter: blur(0);
}

.projectTitle {
  position: relative;
  padding-inline: var(--gridSize);
  margin-top: var(--gridSize);
  margin-right: 75px;
  padding-bottom: 150px;
}

.projectInfo {
  position: relative;
  padding-inline: var(--gridSize);
  margin-right: 75px;
  padding-bottom: 100px;
}

.projectDetails {
  position: relative;
  padding-inline: var(--gridSize);
  margin-right: 75px;
}







@media (max-width: 1200px) {

  .project-media-container {
    position: relative;
    width: 50%;
    height: 100%;
    overflow-y: auto;
    scroll-snap-type: none;
  }

  .project-media-scroller {
    white-space: normal;
    height: 100%;
  }

  .project-media {
    display: inline-block;
    height: auto;
    max-height: 100vh;
    width: 100%;
    padding-right: 0px;
  }

  .project-media img {
    width: 100%;
  }

  .project-media video {
    width: 100%;
  }

  .projectInfoContainer {
    height: 100%;
    left: 50%;
    width: auto;
    overflow-y: auto;
  }

  .aboutContainer {
    width: calc(50% - var(--gridSize)*4);
    right: calc(-50% - var(--gridSize)*4);
  }

  .aboutHead {
    right: calc(-50% - var(--gridSize) * 2);
    width: calc(50% - var(--gridSize));
  }

  .aboutTitle {
    grid-template-columns: repeat(2, 1fr);
  }

}

@media (max-width: 770px) {

  :root {
    --gridSize: 15px;
  }

  .archiv-container {
    overflow-y: auto;
    scroll-snap-type: y mandatory;
  }

  .archiv-media-scroller {
    white-space: normal;
  }

  .slideshow-archiv {
    height: auto;
    max-height: 100%;
    width: 100%;
  }

  .slideshow-archiv img {
    width: 100%;
  }

  .slideshow-archiv video {
    width: 100%;
  }

  .srollToInfoButton {
    visibility: visible;
  }

  .closeInfoButton {
    visibility: visible;
  }

  .project-media-container {
    position: relative;
    width: 100%;
    height: auto;
    overflow-y: auto;
    scroll-snap-type: none;
  }

  .project-media-scroller {
    position: relative;
    white-space: normal;
    overflow-y: auto;
    scrollbar-width: none;
    height: auto;
  }

  .project-media {
    display: inline-block;
    height: auto;
    max-height: 100vh;
    width: 100%;
    padding-right: 0px;
  }

  .projectInfoContainer {
    position: fixed;
    left: 0;
    top: 100%;
    height: calc(100% - (var(--gridSize) * 3));
    width: 100%;
    padding-left: 0;
    margin-left: 0;
    background-color: rgba(200, 200, 200, 0.2);
    backdrop-filter: blur(100px);
    transition: calc(var(--hoverSpeed)/2) ease-in-out;
  }

  .projectInfoContainer.open {
    top: calc(var(--gridSize) * 3);
  }

  .projectTitle {
    position: relative;
    margin: var(--gridSize);
    padding-left: var(--gridSize);
    padding-top: var(--gridSize);
  }

  .projectInfo {
    position: relative;
    margin: var(--gridSize);
    padding-left: var(--gridSize);
  }

  .projectDetails {
    position: relative;
    margin: var(--gridSize);
    padding-left: var(--gridSize);
  }

  .aboutContainer {
    width: calc(100% - var(--fixedGridSize)*4);
    right: calc(-100% - var(--fixedGridSize)*4);
    background-color: rgba(200, 200, 200, 0.2);
  }

  .aboutHead {
    right: calc(-100% - var(--fixedGridSize) * 2);
    width: calc(100% - var(--fixedGridSize));
  }

  .aboutTitle {
    grid-template-columns: repeat(3, 1fr);
  }

  .scrollToProjectPart {
    position: fixed;
    left: var(--gridSize);
    top: inherit;
    bottom: var(--gridSize);
  }

  .slideshow-archiv img,
  .slideshow-archiv video {
    transform: scale(1);
  }

  .homeProjectTitleContainer {
    position: relative;
    bottom: 0;
    left: 0;
    padding-inline: var(--gridSize);
    width: 100%;
    height: 50%;
    pointer-events: none;
    z-index: 2;
  }

  .homeProjectTitleContainer div {
    position: absolute;
    bottom: 0;
    left: var(--gridSize);
  }

  .homeProjectTitleContainer div button {
    margin-top: 5px;
  }

}

@media (max-width: 576px) {

  .aboutTitle {
    grid-template-columns: repeat(2, 1fr);
  }

}